Bug 1315816 - Review Request: python-pecan-notario - JSON validation for Pecan with Notario
Review Request: python-pecan-notario - JSON validation for Pecan with Notario
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Boris Ranto
Fedora Extras Quality Assurance
:
Depends On: 1305154
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 11:44 EST by Ken Dreyer
Modified: 2016-05-11 21:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-11 21:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
branto: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2016-03-08 11:44:02 EST
Spec URL: https://ktdreyer.fedorapeople.org/reviews/python-pecan-notario.spec
SRPM URL: https://ktdreyer.fedorapeople.org/reviews/python-pecan-notario-0.0.3-1.fc25.src.rpm
Description: Notario is flexible and succinct Python dictionary validator with the ability to validate against both keys and values. Schemas are smaller and readable representations of data being validated.
Fedora Account System Username: ktdreyer
Comment 1 Ken Dreyer 2016-03-10 17:08:01 EST
Rawhide (F25) scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13300971
Comment 2 Boris Ranto 2016-03-15 11:27:10 EDT
Preliminary note: looking at the .spec file, rpmlint will probably complain about the use of %define instead of %global for srcname.
Comment 3 Ken Dreyer 2016-03-15 11:34:11 EDT
Good catch, thanks.

New version:

* Tue Mar 15 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.3-2
- use %%global instead of %%define (rhbz#1315816)

Spec URL: https://ktdreyer.fedorapeople.org/reviews/python-pecan-notario.spec
SRPM URL: https://ktdreyer.fedorapeople.org/reviews/python-pecan-notario-0.0.3-2.fc25.src.rpm

Exact changes in Git: https://fedorapeople.org/cgit/ktdreyer/public_git/python-pecan-notario.git/commit/?id=15c962c330d62e2b3185f3dc56ced3aca5e47eb6
Comment 4 Boris Ranto 2016-03-15 11:43:22 EDT
Also, the review uncovered one more thing: The upstream license appears to be BSD (3-Clause, usually shortened to 'BSD' in spec files), not MIT.
Comment 6 Boris Ranto 2016-03-15 12:02:53 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -pecan-notario , python3-pecan-notario
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pecan-notario-0.0.3-1.fc25.noarch.rpm
          python3-pecan-notario-0.0.3-1.fc25.noarch.rpm
          python-pecan-notario-0.0.3-1.fc25.src.rpm
python2-pecan-notario.noarch: W: spelling-error %description -l en_US validator -> lavatorial
python2-pecan-notario.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
python3-pecan-notario.noarch: W: spelling-error %description -l en_US validator -> lavatorial
python3-pecan-notario.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
python-pecan-notario.src: W: spelling-error %description -l en_US validator -> lavatorial
python-pecan-notario.src: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python2-pecan-notario.noarch: W: spelling-error %description -l en_US validator -> lavatorial
python2-pecan-notario.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
python3-pecan-notario.noarch: W: spelling-error %description -l en_US validator -> lavatorial
python3-pecan-notario.noarch: W: spelling-error %description -l en_US Schemas -> Schema, Sachems, Schemes
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
python2-pecan-notario (rpmlib, GLIBC filtered):
    python(abi)
    python-notario
    python-pecan

python3-pecan-notario (rpmlib, GLIBC filtered):
    python(abi)
    python3
    python3-notario
    python3-pecan



Provides
--------
python2-pecan-notario:
    python-pecan-notario
    python2-pecan-notario

python3-pecan-notario:
    python3-pecan-notario



Source checksums
----------------
https://pypi.python.org/packages/source/p/pecan-notario/pecan-notario-0.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 92114160ee39832d9dd523f1859ea9ba7d8260a0972eb5140fda9cfc39fd8536
  CHECKSUM(SHA256) upstream package : 92114160ee39832d9dd523f1859ea9ba7d8260a0972eb5140fda9cfc39fd8536


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1315816
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Ken Dreyer 2016-03-15 12:13:56 EDT
Thanks for the review! I've requested the new package entry in pkgdb.
Comment 8 Gwyn Ciesla 2016-03-15 13:53:04 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pecan-notario
Comment 9 Fedora Update System 2016-03-15 15:45:06 EDT
python-pecan-notario-0.0.3-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-afbc221423
Comment 10 Fedora Update System 2016-03-18 11:00:32 EDT
python-pecan-notario-0.0.3-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-afbc221423
Comment 11 Fedora Update System 2016-05-11 21:32:21 EDT
python-pecan-notario-0.0.3-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.